Loading...
Searching...
No Matches
overlappingbcrsmatrix.hh File Reference

An overlap aware block-compressed row storage (BCRS) matrix. More...

`#include <opm/simulators/linalg/domesticoverlapfrombcrsmatrix.hh>`
`#include <opm/simulators/linalg/globalindices.hh>`
`#include <opm/simulators/linalg/blacklist.hh>`
`#include <opm/models/parallel/mpibuffer.hh>`
`#include <opm/material/common/Valgrind.hpp>`
`#include <dune/istl/scalarproducts.hh>`
`#include <dune/istl/io.hh>`
`#include <algorithm>`
`#include <set>`
`#include <map>`
`#include <iostream>`
`#include <vector>`
`#include <memory>`

Go to the source code of this file.

## Classes

class | Opm::Linear::OverlappingBCRSMatrix< BCRSMatrix >
| An overlap aware block-compressed row storage (BCRS) matrix. More...

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Detailed Description

An overlap aware block-compressed row storage (BCRS) matrix.